<!DOCTYPE HTML PUBLIC '-//W3C//DTD HTML 4.0//EN'>
<!--
	Tomato GUI
	Copyright (C) 2006-2009 Jonathan Zarate
	http://www.polarcloud.com/tomato/

	For use with Tomato Firmware only.
	No part of this file may be used without permission.
-->
<html>
<head>
<meta http-equiv='content-type' content='text/html;charset=utf-8'>
<meta name='robots' content='noindex,nofollow'>
<title>[<% ident(); %>] Administracja: Aktualizacja</title>
<link rel='stylesheet' type='text/css' href='tomato.css'>
<link rel='stylesheet' type='text/css' href='color.css'>
<script type='text/javascript' src='tomato.js'></script>

<!-- / / / -->
<style type='text/css'>
#afu-progress {
	text-align: center;
	padding: 200px 0;
	width: 890px;
}
#afu-time {
	font-size: 26px;
}
</style>

<script type='text/javascript' src='debug.js'></script>

<script type='text/javascript'>

// <% nvram("jffs2_on"); %>

function clock()
{
	var t = ((new Date()).getTime() - startTime) / 1000;
	elem.setInnerHTML('afu-time', Math.floor(t / 60) + ':' + Number(Math.floor(t % 60)).pad(2));
}

function upgrade()
{
	var name;
	var i;
	var fom = document.form_upgrade;
	var ext;

	name = fom.file.value;
	if (name.search(/\.(bin|trx)$/i) == -1) {
		alert('Expecting a ".bin" or ".trx" file.');
		return;
	}
	if (!confirm('Jesteś pewien, że chcesz dokonać aktualizację używając ' + name + '?')) return;

	E('afu-upgrade-button').disabled = true;

	elem.display('afu-input', false);
	E('content').style.verticalAlign = 'middle';
	elem.display('afu-progress', true);
	elem.display('navi', false)
	elem.display('ident', false)

	startTime = (new Date()).getTime();
	setInterval('clock()', 800);

	fom.action += '?_http_id=' + nvram.http_id;
	fom.submit();
}
</script>

</head>
<body>
<table id='container' cellspacing=0>
<tr><td colspan=2 id='header'>
	<div class='title'>Tomato PL</div>
	<div class='version'>Wersja <% version(); %> PL</div>
</td></tr>
<tr id='body'><td id='navi'><script type='text/javascript'>navi()</script></td>
<td id='content'>
<div id='ident'><% ident(); %></div>

<!-- / / / -->

<div id='afu-input'>
	<div class='section-title'>Aktualizacja firmware</div>
	<div class='section'>
		<form name='form_upgrade' method='post' action='upgrade.cgi' encType='multipart/form-data'>
		<div id='box-input'>
			Wybierz plik:<br>
			<input type='file' name='file' size='50' style='height:20px'> <input type='button' value='Aktualizuj' id='afu-upgrade-button' onclick='upgrade()' style='height:20px'>
		</div>
		</form>

		<br>
		<table border=0>
		<tr><td>Bieżąca wersja:</td><td>&nbsp; <% version(1); %> PL</td></tr>
		<script type='text/javascript'>
		//	<% sysinfo(); %>
		W('<tr><td>Dostępna pamięć:</td><td>&nbsp; ' + scaleSize(sysinfo.totalfreeram) + ' &nbsp; <small>(w przybliżeniu rozmiar, który może być całkowicie zbuforowany w RAM)</small></td></tr>');
		</script>
		</table>

	</div>
</div>

<div class='note-disabledw' style='display:none' id='jwarn'>
<b>Nie można dokonać aktualizacji gdy włączone jest JFFS2.</b><br><br>
Aktualizacja może zamazać używaną partycję JFFS2. Przed aktualizacją,
zrób kopię zapasową zawartości partycji JFFS2, wyłącz ją i ponownie uruchom router.<br><br><br>
<a href='admin-jffs2.asp'>Wyłącz &raquo;</a>
</div>

<div id='afu-progress' style='display:none;margin:auto'>
	<img src='spin.gif' style='vertical-align:baseline'> <span id='afu-time'>0:00</span><br>
	Proszę czekać - firmware jest przesłany i zapisywany.<br>
	<b>Uwaga:</b> Nie wyłączaj przeglądarki i routera!<br>
</div>

<!-- / / / -->

</td></tr>
<tr><td id='footer' colspan=2>&nbsp;</td></tr>
</table>
<script type='text/javascript'>
if (nvram.jffs2_on != '0') {
	E('jwarn').style.display = '';
	E('afu-input').style.display = 'none';
}
</script>
</body>
</html>
